{def $attribute_content=$class_attribute.content}

<div class="block">

    {if $attribute_content.attributes_list|count|gt( 0 )}
    <table>
        <tr>
            <th>&nbsp;</th>
            <th>Class name</th>
            <th>Attribute name</th>
            <th>Attribute type</th>
        </tr>
        {foreach $attribute_content.attributes_list as $pair}
            <tr>
                <td><input type="checkbox" name="ContentClass_indexer_classattribute_pair_{$class_attribute.id}[]" value="{$pair.attribute.id}" /></td>
                <td>{$pair.class.name|wash}</td>
                <td>{$pair.attribute.name|wash}</td>
                <td>{$pair.attribute.data_type_string|wash}</td>
            </tr>
        {/foreach}
    </table>
    <input type="submit" class="button" name="CustomActionButton[{$class_attribute.id}_remove_class_attribute_pair]" value="{"Remove selected"|i18n('extension/indexer')}" />
    {else}
        {"No class / attribute pairs have been defined yet"|i18n( 'extension/indexer' )}
    {/if}
</div>

<div class="block">
    <select name="ContentClass_indexer_class_list_{$class_attribute.id}" id="ContentClassIndexerClassList{$class_attribute.id}" onChange="ParentIndexUpdateAttributeList( 'ContentClassIndexerClassAttributeList{$class_attribute.id}', 'CustomActionButton{$class_attribute.id}AddClassAttributePair', this )">
    <option value="0" selected="selected">{"Select a content class"|i18n( 'extension/indexer' )}</option>
    {foreach fetch( 'class', 'list', hash( 'sort_by', array( 'name', true() ) ) ) as $class}
        <option value="{$class.id}">{$class.name|wash}</option>
    {/foreach}
    </select>
    <select name="ContentClass_indexer_class_attribute_list_{$class_attribute.id}" id="ContentClassIndexerClassAttributeList{$class_attribute.id}" style="display: none"></select>
    <input type="submit" value="{"Add"}" id="CustomActionButton{$class_attribute.id}AddClassAttributePair" name="CustomActionButton[{$class_attribute.id}_add_class_attribute_pair]" />
</div>

{run-once}
<script language="javascript">
var attributes = new Array();
{foreach fetch( 'class', 'list' ) as $class}
var index = 0;
attributes[{$class.id}] = new Array();
{foreach fetch( 'class', 'attribute_list', hash( 'class_id', $class.id ) ) as $attribute }
    attributes[{$class.id}][attributes[{$class.id}].length] = new Option( "{$attribute.name}", {$attribute.id} );
{/foreach}
{/foreach}

{literal}
function ParentIndexUpdateAttributeList( AttributeSelectID, ButtonID, ClassSelect )
{
    console.log("test");
    var AttributeSelect = document.getElementById( AttributeSelectID );
    var Button = document.getElementById( ButtonID );
    var SelectedClassID = ClassSelect.options[ClassSelect.selectedIndex].value;
    AttributeSelect.length = 0;
    if ( SelectedClassID == 0 )
    {
        AttributeSelect.style.display = "none";
        Button.style.display = "none";
    }
    else
    {
        AttributeSelect.style.display = "inline";
        Button.style.display = "inline";
        for ( var i = 0; i < attributes[SelectedClassID].length; i++ )
        {
            AttributeSelect.options[ AttributeSelect.length ] = attributes[SelectedClassID][i];
        }
    }
}
{/literal}
</script>
{/run-once}